Bug 53669 - --win-client-ident sets lease wrong
Summary: --win-client-ident sets lease wrong
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-14 14:43 UTC by Mark Fassler
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 16:00:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Fassler 2001-09-14 14:43:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010702

Description of problem:
when using "pump --win-client-ident" for windows compatability, pump
doesn't set the requested lease time to infinite (0xffffffff) like Windows
clients do.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  run "pump -i eth0 --win-client-ident"
2.  observe the values in the dhcp field for requested lease time

Actual Results:  Pump requested a lease time of 12 hours (0xa8c0 seconds)

Expected Results:  Windows clients normally request an infinite lease time
(0xffffffff seconds)

Additional info:

The default behavoir of dhcpcd is to request an infinite lease time, maybe
that should be the defualt behavior of pump as well (regardless of the
--win-client-ident option).

Comment 1 Eido Inoue 2004-01-05 16:00:45 UTC
closing as supported products don't use pump anymore


Note You need to log in before you can comment on or make changes to this bug.